### Method

# Ggit Repository create_reference

#### Declaration [src]

    GgitRef*
    ggit_repository_create_reference (
      GgitRepository* repository,
      const gchar* name,
      GgitOId* oid,
      const gchar* log_message,
      GError** error
    )

#### Description [src]

Creates a new object id reference.

The reference will be created in the repository and written to the disk. The returned value must be freed with g_object_unref().

#### Parameters

`name`

  Type: `const gchar*`

  The name for the new `GgitRef`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`oid`

  Type: `GgitOId`

  The `GgitOId` pointed to by the reference.

  The data is owned by the caller of the method.

`log_message`

  Type: `const gchar*`

  The one line long message to be appended to the reflog.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitRef`

The newly created reference.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.